Bug 502851 - Review Request: pokerth - A Texas-Holdem poker game
Summary: Review Request: pokerth - A Texas-Holdem poker game
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-27 13:56 UTC by Susi Lehtola
Modified: 2009-06-24 19:17 UTC (History)
3 users (show)

Fixed In Version: 0.7-5.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-16 16:44:32 UTC
Type: ---
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Susi Lehtola 2009-05-27 13:56:32 UTC
Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/pokerth.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/pokerth-0.7-1.fc11.src.rpm

Description:
PokerTH is a poker game written in C++/QT4. You can play the popular
"Texas Hold'em" poker variant against up to six computer-opponents or
play network games with people all over the world. This poker engine
is available for Linux, Windows, and MacOSX.

rpmlint output is clean.

Comment 1 Susi Lehtola 2009-05-27 18:33:28 UTC
Note: I can't get this to build on F10 due to missing /usr/include/boost/asio.hpp, in F11 it builds fine, though.

Comment 2 Mamoru TASAKA 2009-06-12 15:40:54 UTC
Will review shortly. Instead I would appreciate it if
you review either of my review requests (bug 504707, bug 504709
or bug 505406).

Comment 3 Mamoru TASAKA 2009-06-12 18:56:57 UTC
Some notes:

* Fonts symlink
-------------------------------------------------------------------
ln -s %{_datadir}/fonts/bistream-vera/VeraBd.ttf %{buildroot}%{_datadir}/%{name}/data/fonts/
-------------------------------------------------------------------
  - This is /bi"t"stream-vera/
    ( does this mean that this file is actually not needed? )

* Timestamps
-------------------------------------------------------------------
   359  make -f Makefile.pokerth_game install
   360  make[1]: Entering directory `/builddir/build/BUILD/PokerTH-0.7-src'
   361  install -m 644 -p /builddir/build/BUILD/PokerTH-0.7-src/data/data-copyright.txt /builddir/build/BUILDROOT/pokerth-0.7-1.fc12.i386/usr/share/pokerth/data/
   362  cp -f -r /builddir/build/BUILD/PokerTH-0.7-src/data/fonts /builddir/build/BUILDROOT/pokerth-0.7-1.fc12.i386/usr/share/pokerth/data/
-------------------------------------------------------------------
  - make install INSTALL_ROOT=%{buildroot} COPY="cp -p -f" is preferred
    to keep timestamps on installed files.

Comment 5 Mamoru TASAKA 2009-06-13 16:59:57 UTC
Would you explain why you added "BR: asio-devel"?
boost::asio is defined in the header files in boost-devel.

By the way would you have a time to review my review requests?
If not I will ask someone else.

Comment 6 Susi Lehtola 2009-06-13 17:18:00 UTC
(In reply to comment #5)
> Would you explain why you added "BR: asio-devel"?
> boost::asio is defined in the header files in boost-devel.

Oh, that was part of debugging why I couldn't get it to compile on F10. Didn't help, removed.

> By the way would you have a time to review my review requests?
> If not I will ask someone else.  

To tell the truth I'm a bit swamped at the moment with 35 open reviews, but if I get time I will have a look at them. IIRC I haven't done any ruby gem reviews so far.

Comment 7 Mamoru TASAKA 2009-06-13 18:04:21 UTC
If new boost is needed to compile this package, you
can write explicitly:
BR: boost-devel >= 1.37
to show that this won't build on F-10.

-----------------------------------------------------------
  This package (pokerth) is APPROVED by mtasaka
-----------------------------------------------------------

Comment 8 Susi Lehtola 2009-06-13 18:30:27 UTC
I versioned the BR, thanks a lot for the review!


New Package CVS Request
=======================
Package Name: pokerth
Short Description: A Texas-Holdem poker game
Owners: jussilehtola
Branches: F-11
InitialCC:

Comment 9 Kevin Fenzi 2009-06-14 18:59:20 UTC
cvs done.

Comment 10 Fedora Update System 2009-06-15 09:39:53 UTC
pokerth-0.7-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pokerth-0.7-3.fc11

Comment 11 Mamoru TASAKA 2009-06-16 16:44:32 UTC
Now closing.

Comment 12 Fedora Update System 2009-06-21 10:57:35 UTC
pokerth-0.7-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pokerth-0.7-5.fc11

Comment 13 Fedora Update System 2009-06-24 19:16:51 UTC
pokerth-0.7-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.